﻿using System.Windows;
using System.Windows.Media;
using Telerik.Windows.Controls;

namespace OutlookTemplate
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : RadRibbonWindow
    {
        static MainWindow()
        {
            RadRibbonWindow.IsWindowsThemeEnabled = false;
        }

        public MainWindow()
        {
            bool isHighContrast = SystemParameters.HighContrast;
            Color highContrastMainColor = (Color)System.Windows.Media.ColorConverter.ConvertFromString(SystemColors.ControlColor.ToString());
            Color highContrastInvertedColor = (Color)System.Windows.Media.ColorConverter.ConvertFromString(SystemColors.ControlTextColor.ToString());
            Color highContrastAccentColor = (Color)System.Windows.Media.ColorConverter.ConvertFromString(SystemColors.HighlightColor.ToString());

            if (isHighContrast)
            {
                // colors the Foreground
                Office2013Palette.Palette.InvertedColor = highContrastInvertedColor;

                // Colors all Highlight colors 
                Office2013Palette.Palette.AccentColor = highContrastAccentColor;
                Office2013Palette.Palette.AccentMainColor = highContrastAccentColor;
                Office2013Palette.Palette.EffectAccentHighColor = highContrastAccentColor;
                Office2013Palette.Palette.EffectAccentLowColor = highContrastAccentColor;

                //Colors all Backgrounds 
                Office2013Palette.Palette.MainColor = highContrastMainColor;
                Office2013Palette.Palette.LowDarkColor = highContrastMainColor;
                Office2013Palette.Palette.LowLightMainColor = highContrastMainColor;
                Office2013Palette.Palette.LowLightColor = highContrastMainColor;

                //TreeView SelectedUnfocused Brush
                Office2013Palette.Palette.HighLightColor = highContrastAccentColor;

                // RibbonWindow Background
                this.WindowBackground = SystemColors.HighlightBrush;
            }
            InitializeComponent();
        }
    }
}