﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;

namespace OutlookTemplate
{
    public class EmailClient
    {
        public EmailClient(string name, IEnumerable<Folder> folders)
        {
            this.Name = name;
            this.Folders = folders;
            this.Emails = new ObservableCollection<Email>(this.Folders.SelectMany(f => f.Emails));
        }

        public IEnumerable<Folder> Folders { get; private set; }

        public string Name { get; private set; }

        public ObservableCollection<Email> Emails { get; private set; }
    }
}