﻿using System.Collections.Generic;
using Telerik.Windows.Controls;

namespace OutlookTemplate
{
    public class OutlookSection : ViewModelBase
    {
		private object selectedFolder;

        public IEnumerable<object> Content { get; set; }

        public string Name { get; set; }

		public string IconPath { get; set; }
		public string MinimizedIconPath { get; set; }

        /// <summary>
        /// Gets or sets SelectedFolder and notifies for changes
        /// </summary>
		public object SelectedFolder
        {
            get
            {
                return this.selectedFolder;
            }

            set
            {
                if (this.selectedFolder != value)
                {
                    var folderObj = this.SelectedFolder as Folder;
                    if (folderObj != null)
                    {
                        folderObj.UpdateActiveItems();
                    }

                    var emailClient = this.SelectedFolder as EmailClient;
                    if (emailClient != null)
                    {
                        foreach (var folder in emailClient.Folders)
                        {
                            folder.UpdateActiveItems();
                        }
                    }

                    this.selectedFolder = value;
                    this.OnPropertyChanged(() => this.SelectedFolder);
                }
            }
        }
    }
}